Index: extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9154)
+++ extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9178)
@@ -45,14 +45,14 @@
 $tabsheet = new tabsheet();
 $tabsheet->add('global',
-               l10n('Tab_Global'),
+               l10n('UAM_Tab_Global'),
                $my_base_url.'&amp;tab=global');
   $tabsheet->add('userlist',
-                 l10n('Tab_UserList'),
+                 l10n('UAM_Tab_UserList'),
                  $my_base_url.'&amp;tab=userlist');
 $tabsheet->add('usermanager',
-               l10n('Tab_UserManager'),
+               l10n('UAM_Tab_UserManager'),
                $my_base_url.'&amp;tab=usermanager');
 $tabsheet->add('ghosttracker',
-               l10n('Tab_GhostTracker'),
+               l10n('UAM_Tab_GhostTracker'),
                $my_base_url.'&amp;tab=ghosttracker');
 $tabsheet->select($page['tab']);
@@ -126,5 +126,5 @@
     if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
     {
-      array_push($page['errors'], l10n('mail_exclusionlist_error'));
+      array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
       $UAM_Exclusionlist_Error = true;
     }
@@ -137,5 +137,5 @@
       $newvalue = 'false';
       $_POST['UAM_GTAutoMail'] = $newvalue;
-      array_push($page['errors'], l10n('Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
+      array_push($page['errors'], l10n('UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
     }
 
@@ -225,5 +225,5 @@
   else if (isset($_POST['PasswordTest']) and empty($_POST['UAM_Password_Test']))
   {
-    array_push($page['errors'], l10n('reg_err_login3'));
+    array_push($page['errors'], l10n('UAM_reg_err_login3'));
   }
 
@@ -443,5 +443,5 @@
 			{
 				if (!ValidateUsername(stripslashes($row['username'])))
-					$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '') . l10n('Err_audit_username_char').stripslashes($row['username']);
+					$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '') . l10n('UAM_Err_audit_username_char').stripslashes($row['username']);
 			}
 		}
@@ -467,5 +467,5 @@
 				  if (preg_match($pattern, $row['mail_address']))
 				  {
-						$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '') . l10n('Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
+						$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '') . l10n('UAM_Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
 					}
 				}
@@ -480,5 +480,5 @@
 		
 		if ($msg_error1 <> '' or $msg_error2 <> '')
-	  	array_push($page['errors'], l10n('Err_audit_advise'));
+	  	array_push($page['errors'], l10n('UAM_Err_audit_advise'));
 		else
     	array_push($page['infos'], l10n('UAM_audit_ok'));
@@ -629,5 +629,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_Userlist_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_Userlist_Settings'));
   }
   break;
@@ -791,18 +791,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -824,5 +824,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Mail_With_Key', '%d_Mails_With_Key',
+        		'UAM_%d_Mail_With_Key', 'UAM_%d_Mails_With_Key',
         	count($collection)
         	)
@@ -875,18 +875,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -909,5 +909,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Reminder_Sent', '%d_Reminders_Sent',
+        		'UAM_%d_Reminder_Sent', 'UAM_%d_Reminders_Sent',
        		count($collection)
         	)
@@ -960,18 +960,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -986,5 +986,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Validated_User', '%d_Validated_Users',
+        		'UAM_%d_Validated_User', 'UAM_%d_Validated_Users',
        		count($collection)
         	)
@@ -1056,9 +1056,9 @@
       if (isset($row['reminder']) and $row['reminder'] == 'true')
       {
-        $reminder = l10n('Reminder_Sent_OK');
+        $reminder = l10n('UAM_Reminder_Sent_OK');
       }
       else if ((isset($row['reminder']) and $row['reminder'] == 'false') or !isset($row['reminder']))
       {
-        $reminder = l10n('Reminder_Sent_NOK');
+        $reminder = l10n('UAM_Reminder_Sent_NOK');
       }
 
@@ -1151,5 +1151,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_UserManager_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_UserManager_Settings'));
   }
   break;
@@ -1311,18 +1311,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_reminder_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_your_account'));
     	}
 
@@ -1344,5 +1344,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Reminder_Sent', '%d_Reminders_Sent',
+        		'UAM_%d_Reminder_Sent', 'UAM_%d_Reminders_Sent',
        		count($collection)
         	)
@@ -1420,5 +1420,5 @@
         }
         
-        array_push($page['infos'], l10n('GhostTracker_Init_OK'));
+        array_push($page['infos'], l10n('UAM_GhostTracker_Init_OK'));
       }
     }
@@ -1446,9 +1446,9 @@
       if (isset($local_user['reminder']) and $local_user['reminder'] == 'true')
       {
-        $reminder = l10n('Reminder_Sent_OK');
+        $reminder = l10n('UAM_Reminder_Sent_OK');
       }
       else if (isset($local_user['reminder']) and $local_user['reminder'] == 'false')
       {
-        $reminder = l10n('Reminder_Sent_NOK');
+        $reminder = l10n('UAM_Reminder_Sent_NOK');
       }
     
@@ -1503,5 +1503,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_GhostTracker_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_GhostTracker_Settings'));
   }
 
